> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Listing Dataset Versions

> This endpoint lists the data versions that are available for a dataset. Each dataversion records includes metadata indicating the following:

    uploadStatus - success, error, processing
    numRows - the number of rows in the upload
    numBytes - the size of the upload in bytes
    schemaId - the schema associated with the data
    recordedDate - the time at which the data was made available to the system
    uploadCompletedDate - the time the upload finished uploading



## OpenAPI

````yaml /openapi/product/managing-dataset-history-api.yaml get /api/data/v2/datasources/{datasetId}/dataversions
openapi: 3.1.0
info:
  title: Managing Dataset History API
  version: 1.0.0
  description: >-
    Authentication


    Requests to the endpoints in this document should be authenticated using an
    access token. The token should be passed using the X-DOMO-Developer-Token
    header. For information about generating an access token see
    https://domo-support.domo.com/s/article/360042934494?language=en_US.
servers:
  - url: https://{instance}.domo.com
    variables:
      instance:
        default: YOUR_INSTANCE
        description: Domo instance subdomain
security:
  - DomoDeveloperToken: []
tags:
  - name: Dataset History
paths:
  /api/data/v2/datasources/{datasetId}/dataversions:
    get:
      tags:
        - Managing Dataset History API
      summary: Listing Dataset Versions
      description: >-
        This endpoint lists the data versions that are available for a dataset.
        Each dataversion records includes metadata indicating the following:

            uploadStatus - success, error, processing
            numRows - the number of rows in the upload
            numBytes - the size of the upload in bytes
            schemaId - the schema associated with the data
            recordedDate - the time at which the data was made available to the system
            uploadCompletedDate - the time the upload finished uploading
      parameters:
        - in: path
          name: datasetId
          required: true
          description: <dataset-id>
          schema:
            $ref: '#/components/schemas/DatasetIdParam'
      responses:
        '200':
          description: Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataVersionList'
              examples:
                example:
                  value:
                    - schemaId: 5
                      dataId: 3
                      uploadStatus: success
                      recordedDate: '2023-03-31T14:21:13Z'
                      uploadCompletedDate: '2023-03-31T14:21:13Z'
                      numRows: 18
                      numBytes: 458
                    - schemaId: 7
                      dataId: 4
                      uploadStatus: success
                      recordedDate: '2023-03-31T14:21:28Z'
                      uploadCompletedDate: '2023-03-31T14:21:28Z'
                      numRows: 499
                      numBytes: 6890
components:
  schemas:
    DatasetIdParam:
      type: string
      description: <dataset-id>
    DataVersionList:
      type: array
      items:
        $ref: '#/components/schemas/DataVersion'
    DataVersion:
      type: object
      properties:
        schemaId:
          type: integer
        dataId:
          type: integer
        uploadStatus:
          type: string
          enum:
            - success
            - error
            - processing
        recordedDate:
          type: string
          format: date-time
        uploadCompletedDate:
          type: string
          format: date-time
        numRows:
          type: integer
        numBytes:
          type: integer
  securitySchemes:
    DomoDeveloperToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token

````